Gentoo Archives: gentoo-user

From: "José Romildo Malaquias" <j.romildo@×××××.com>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] trouble emerging vmware-workstation from the vmware overlay
Date: Wed, 25 Aug 2010 12:38:23
Message-Id: 20100825124028.GA17412@malaquias.DHCP-GERAL
In Reply to: Re: [gentoo-user] trouble emerging vmware-workstation from the vmware overlay by Albert Hopkins
1 On Wed, Aug 25, 2010 at 08:02:17AM -0400, Albert Hopkins wrote:
2 > On Wed, 2010-08-25 at 08:58 -0300, José Romildo Malaquias wrote:
3 > > > Here is the reason of your problem. Try to mask vmware-player
4 > >
5 > > That does not seem to be enough.
6 > >
7 > > Looking at the ebuilds, I have found the following:
8 > >
9 > >
10 > >
11 > > # grep
12 > > vmware-modules /var/lib/layman/vmware/app-emulation/vmware-workstation/vmware-workstation-7.1.1.282343.ebuild
13 > > PDEPEND="~app-emulation/vmware-modules-238
14 > >
15 > > # grep -B 2
16 > > vmware-workstation /var/lib/layman/vmware/app-emulation/vmware-modules/vmware-modules-238.ebuild
17 > > DEPEND="${RDEPEND}
18 > > || ( ~app-emulation/vmware-player-3.1.0.261024
19 > > ~app-emulation/vmware-workstation-7.1.0.261024 )"
20 > >
21 > > # grep -B 2
22 > > vmware-workstation /var/lib/layman/vmware/app-emulation/vmware-modules/vmware-modules-238.1.ebuild
23 > > DEPEND="${RDEPEND}
24 > > || ( ~app-emulation/vmware-player-3.1.1.282343
25 > > ~app-emulation/vmware-workstation-7.1.1.282343 )"
26 > >
27 > > Therefore it seems that there are errors in the dependencies in the
28 > > ebuilds: vmware-workstation-7.1.1.282343 depends on
29 > > vmware-modules-238,
30 > > which depends on vmware-workstation-7.1.0.261024.
31 > >
32 >
33 > It's an OR (||) relationship. The modules depend on vmware-player OR
34 > vmware-workstation. And likely vmware-player and vmware-workstation
35 > block each other. So you need to install one OR the other and make sure
36 > the other one isn't installed.
37
38
39 Yes, that is the way to solve the blocking. But even after masking
40 vmware-player, I have trouble getting vmware-workstation-7.1.1.282343
41 installed.
42
43 How can mware-workstation-7.1.1.282343 depend on vmware-modules-238, and
44 vmware-modules-238 depend on vmware-workstation-7.1.0.261024. To me this
45 is bug.
46
47 Probably mware-workstation-7.1.1.282343 should depend on
48 vmware-modules-238.1 (notice the .1 in the version 238.1), which is also
49 available in the overlay.
50
51 Romildo

Replies

Subject Author
Re: [gentoo-user] trouble emerging vmware-workstation from the vmware overlay Albert Hopkins <marduk@×××××××××××.org>